


namespace BankOperationsUpdate.WorkerService.Extensions;

public static  class ConfigureServicesExtenions
{
	public static void ConfigurePgSqlContext(this IServiceCollection services, IConfiguration config)
	{
		var connectionString = config.GetConnectionString("DefaultConnection");
		services.AddDbContext<RepositoryContext>(opt => {
			opt.UseNpgsql(connectionString, x => x.MigrationsHistoryTable("MigrationHistory", "SEPTEM"));
			opt.UseQueryTrackingBehavior(QueryTrackingBehavior.NoTracking);

		});

	}


}

